> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mobile 360 Send OTP Request

> The Mobile Send OTP API generates and sends a One-Time Password (OTP) to a user's mobile number via specified notification modes like SMS or WhatsApp.It captures consent details, ensuring secure and compliant user verification. View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#mobile-360) and use the information to trigger the validations. You can use the test data only in test environments such as sandbox.



## OpenAPI

````yaml post /mobile360/otp/send
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /mobile360/otp/send:
    post:
      tags:
        - Mobile 360 OTP Flow
      summary: Mobile 360 Send OTP Request
      description: >-
        The Mobile Send OTP API generates and sends a One-Time Password (OTP) to
        a user's mobile number via specified notification modes like SMS or
        WhatsApp.It captures consent details, ensuring secure and compliant user
        verification. View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#mobile-360)
        and use the information to trigger the validations. You can use the test
        data only in test environments such as sandbox.
      operationId: VrsMobile360SendOtpRequest
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/global_x_api_version'
      requestBody:
        $ref: '#/components/requestBodies/Mobile360SendOtpRequest'
      responses:
        '200':
          $ref: '#/components/responses/Mobile360SendOtpResponse'
        '400':
          $ref: '#/components/responses/Response400Mobile360SendOtp'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    global_x_api_version:
      description: API version to be used. Format is in YYYY-MM-DD.
      name: x-api-version
      in: header
      required: true
      schema:
        type: string
        default: '2024-12-01'
        example: '2024-12-01'
      example: '2024-12-01'
  requestBodies:
    Mobile360SendOtpRequest:
      description: Find the request parameters to send the OTP to the mobile number.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Mobile360SendOtpRequestSchema'
  responses:
    Mobile360SendOtpResponse:
      description: Response for Mobile360 Send OTP.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Mobile360SendOtpResponseSchema'
          examples:
            Success:
              value:
                verification_id: ABC00122
                mobile_number: '9999999999'
                status: OTP_GENERATED
                reference_id: 123454
                name: John Doe
                notification_modes:
                  - SMS
                  - WHATSAPP
    Response400Mobile360SendOtp:
      description: Validation errors for Mobile360.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID With Special Chars:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            Invalid Mobile Number:
              value:
                type: validation_error
                code: mobile_number_value_invalid
                message: Mobile number entered is invalid.
            Mobile Number Missing:
              value:
                type: validation_error
                code: mobile_number_missing
                message: mobile_number is missing in the request.
            Notification Modes Missing:
              value:
                type: validation_error
                code: notification_modes_missing
                message: notification_modes is missing in the request.
            Special Character in Name:
              value:
                type: validation_error
                code: name_value_invalid
                message: name should only contains alphanumeric, space, dot and hyphen.
            Name length exceeded:
              value:
                type: validation_error
                code: name_length_exceeded
                message: Name can include a maximum of 100 characters.
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    Mobile360SendOtpRequestSchema:
      type: object
      example:
        verification_id: ABC00122
        mobile_number: '9999999999'
        name: John Doe
        user_consent:
          timestamp: '2024-11-29T12:34:56Z'
          purpose: User consent to fetch data.
          obtained: true
          type: EXPLICIT
        notification_modes:
          - SMS
          - WHATSAPP
      required:
        - verification_id
        - mobile_number
        - user_consent
        - notification_modes
      properties:
        verification_id:
          type: string
          description: >-
            It is the unique ID you create to identify the verification request.
            The maximum character limit is 50. Only alphaumeric, period (.),
            hyphen (-), and underscore ( _ ) are allowed.
          example: test_verification_id
          default: test_verification_id
        mobile_number:
          type: string
          description: It is the 10 digit mobile number of individual.
          example: '9999999999'
          default: '9999999999'
        name:
          type: string
          description: >-
            Name of the individual, a correct name can increase the success rate
            of data retrieval.
          example: John Doe
          default: John Doe
        notification_modes:
          type: array
          description: |-
            Modes for sending OTP
            Possible values are
            - `SMS`
            - `WHATSAPP`
          items:
            type: string
            example: SMS
        user_consent:
          $ref: '#/components/schemas/Mobile360ConsentSchema'
    Mobile360SendOtpResponseSchema:
      type: object
      properties:
        verification_id:
          type: string
          description: Unique ID of the verification request.
          example: ABC00122
        mobile_number:
          type: string
          description: Mobile number of the individual.
          example: '9999999999'
        status:
          type: string
          description: |-
            It displays the status of the API request.
            Possible values are
            - `OTP_GENERATED`: The OTP has been successfully generated.
          example: OTP_GENERATED
        reference_id:
          type: integer
          description: Reference ID for the transaction.
          example: 123454
        name:
          type: string
          description: Name of the individual.
          example: John Doe
        notification_modes:
          type: array
          description: |-
            Modes for sending OTP
            Possible values are
            - `SMS`
            - `WHATSAPP`
          items:
            type: string
            example: SMS
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
    Mobile360ConsentSchema:
      description: Consent details for Mobile360 Send OTP.
      type: object
      required:
        - timestamp
        - purpose
        - obtained
        - type
      properties:
        obtained:
          type: boolean
          description: Indicates whether the user has given consent.
          example: true
        type:
          type: string
          description: >-
            It displays the type of user consent provided.

            Possible values are:

            - `EXPLICIT`: Consent is clearly given by the user to collect and
            process personal data.

            - `IMPLICIT`: Consent is implied through the user's actions.

            - `OPT-OUT`: Consent is assumed by default, but the user can revoke
            it later

            - `BROAD`: Consent is granted for future, undefined purposes.
          example: EXPLICIT
        timestamp:
          type: string
          format: date-time
          description: >-
            Timestamp when the consent was provided. The value must be in UTC
            and must be within 5 minutes before or after the current time.
          example: '2024-11-29T12:34:56Z'
        purpose:
          type: string
          description: >-
            The description of the consent. The length must be between 20 and
            100 characters. Allowed characters are alphanumeric, period (.),
            hyphen (-), slash (/), ampersand (&), and underscore (_).
          example: Fetching data of customer XYZ for verification purposes
          minLength: 20
          maxLength: 100
        network_details:
          type: object
          properties:
            ip:
              type: string
              description: IP address of the user. Must be a valid IP.
              example: 192.168.1.1
            ip_origin:
              type: string
              enum:
                - HOME
                - OFFICE
                - OTHERS
              description: Origin of the IP. Allowed values are HOME, OFFICE, and OTHERS.
              example: HOME
            isp:
              type: string
              description: >-
                Name of the Internet service provider. The maximum character
                limit is 100. Allowed characters are alphanumeric, period (.),
                hyphen (-), slash (/), ampersand (&), and underscore (_).
              example: ISP Provider Name
              maxLength: 100
        device_details:
          type: object
          properties:
            device_id:
              type: string
              description: >-
                It is the unique identifier for the user's device. The maximum
                character limit is 100. Allowed characters are alphanumeric,
                period (.), hyphen (-), slash (/), ampersand (&), and underscore
                (_).
              example: 12345-ABCDE
              maxLength: 100
            os_type:
              type: string
              description: >-
                The operating system of the user's device. The maximum character
                limit is 50. Allowed characters are alphanumeric, period (.),
                hyphen (-), slash (/), ampersand (&), and underscore (_).
              example: WINDOWS
              maxLength: 50
            model:
              type: string
              description: >-
                The model of the user's device. The maximum character limit is
                100. Allowed characters are alphanumeric, period (.), hyphen
                (-), slash (/), ampersand (&), and underscore (_).
              example: SAMSUNG GALAXY S21
              maxLength: 100
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````